## Get price of a specific item

### cURL

```
curl --request GET \
  --url 'https://live.copilot.fabric.inc/api-offers/item/{itemId}?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://live.copilot.fabric.inc/api-offers/item/{itemId}?limit=10"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/item/{itemId}?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes
- 200
- 404
- 500

### Sample JSON Response
```
{
  "channel": [
    12,
    13
  ],
  "startDate": "2020-08-17T07:39:29.092Z",
  "endDate": "2099-12-31T00:00:00.000Z",
  "group": [
    "5e2cfa5245570b000863c4ab"
  ],
  "title": "Arper Dizzie Oval Coffee Table",
  "itemId": 1000000269,
  "price": {
    "id": "5e31832ccaf608b232bb4cdrr",
    "isSoftDeleted": true,
    "itemId": 1000000269,
    "offerId": 1074,
    "createdAt": "2020-08-19T10:53:29.918Z",
    "updatedAt": "2020-08-19T10:53:29.918Z",
    "offers": [
      {
        "price": {
          "sale": 0,
          "base": 229,
          "currency": "USD"
        },
        "channel": 12,
        "startDate": "2018-10-19T16:46:45Z",
        "endDate": "2099-12-31T00:00:00Z",
        "kind": 12
      }
    ],
    "query": {
      "limit": 10,
      "count": 50,
      "offset": 0
    }
  },
  "isDefault": true,
  "isActive": true,
  "attributes": [
    {
      "attributeGroupId": 123123,
      "id": 321321,
      "value": "size",
      "isDefault": true
    }
  ],
  "parent": "5f3a355075cc4900085fb1b1",
  "itemFamily": "5f3a3371d9bf7b0007d699d8",
  "description": "This smart band's OLED display (300 nits) can show up to 48 characters, thereby letting you view everything with a single glance. The display is fingerprint-coated to offer you a clear view every time.",
  "variants": [
    "VARIANT-01",
    "VARIANT-55"
  ],
  "state": "READY",
  "images": [
    {
      "id": "5fd7577251a93f0007e48383",
      "order": 0,
      "label": "https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067",
      "source": [
        {
          "id": "5fd7577251a93f0007e48383",
          "url": "https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067"
        }
      ]
    }
  ],
  "sku": "XMSH99KLW10",
  "isSoftDeleted": false
}
```

### Error Response Samples
###### Item Not Found
```
{
  "code": "ITEM_NOT_FOUND",
  "message": "Item not found."
}
```

###### Internal Server Error
```
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorizations

- **Authorization**: string header required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**: string required

The `x-site-context` header is a JSON object that contains information about the source you wish to pull from.

Example:
`'{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}'`

### Path Parameters

- **itemId**: number required

ID of the item to get price details for.

### Query Parameters

- **priceListId**: number

ID of the price list to which the item belongs to.

- **limit**: number default: 10

The maximum number of records per page.

- **offset**: number default: 0

The number of records to skip before returning records.
